supla na malinie, skończył się certyfikat domeny

procekms89
Posty: 78
Rejestracja: czw cze 28, 2018 4:21 am

sob sie 01, 2020 6:50 am

cześć,

skończył mi się certyfikat Let's Encrypt dla moich domen postawionych na malinie.
Czy może mi ktoś pomóc jak odświeżyć certyfikaty dla clouda i supla-scripts?
Awatar użytkownika
lesny8
Posty: 1208
Rejestracja: pn gru 11, 2017 9:43 pm

sob sie 01, 2020 7:58 am

Nie wiem jak masz wszystko skonfigurowane, ale jeśli tak jak tu, to wszystko powinno robić się samo ;)
procekms89
Posty: 78
Rejestracja: czw cze 28, 2018 4:21 am

sob sie 01, 2020 11:36 am

lesny8 pisze:
sob sie 01, 2020 7:58 am
Nie wiem jak masz wszystko skonfigurowane, ale jeśli tak jak tu, to wszystko powinno robić się samo ;)
własnie tak mam zrobione. co dziwniejsze jak połączę się przez vpn to niby certyfikat jest aktualny, a gdy wchodzę przez telefon to już pokazuje że certyfikat jest nie aktualny. Czyściłem cashe w telefonie ale nic to nie zmienia.
Awatar użytkownika
lesny8
Posty: 1208
Rejestracja: pn gru 11, 2017 9:43 pm

sob sie 01, 2020 10:14 pm

Sprawdź logi kontenera letsencrypt
procekms89
Posty: 78
Rejestracja: czw cze 28, 2018 4:21 am

śr sie 05, 2020 11:02 am

lesny8 pisze:
sob sie 01, 2020 10:14 pm
Sprawdź logi kontenera letsencrypt
możesz podać mi instrukcję jak to zrobić?
Awatar użytkownika
lesny8
Posty: 1208
Rejestracja: pn gru 11, 2017 9:43 pm

śr sie 05, 2020 2:33 pm

Kod: Zaznacz cały

docker logs --tail=50 nginx-letsencrypt
procekms89
Posty: 78
Rejestracja: czw cze 28, 2018 4:21 am

czw sie 06, 2020 5:46 am

lesny8 pisze:
śr sie 05, 2020 2:33 pm

Kod: Zaznacz cały

docker logs --tail=50 nginx-letsencrypt
o to logi

Kod: Zaznacz cały

AttributeError: 'NoneType' object has no attribute 'wrapped'

Unhandled error has happened, traceback is above

Debugging tips: -v improves output verbosity. Help is available under --help.
/app
/etc/nginx/certs/mi******5.ddns.net /app
Creating/renewal mi******5.ddns.net certificates... (mi******5.ddns.net)
2020-08-06 05:01:14,111:INFO:simp_le:1414: Generating new certificate private key
2020-08-06 05:01:37,781:ERROR:simp_le:1396: CA marked some of the authorizations as invalid, which likely means it could not access http://example.com/.well-known/acme-challenge/X. Did you set correct path in -d example.com:path or --default_root? Are all your domains accessible from the internet? Please check your domains' DNS entries, your host's network/firewall setup and your webserver config. If a domain's DNS entry has both A and AAAA fields set up, some CAs such as Let's Encrypt will perform the challenge validation over IPv6. If your DNS provider does not answer correctly to CAA records request, Let's Encrypt won't issue a certificate for your domain (see https://letsencrypt.org/docs/caa/). Failing authorizations: https://acme-v02.api.letsencrypt.org/acme/authz-v3/63****20
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 1370, in finalize_order
    finalized_order = client.poll_and_finalize(order)
  File "/usr/lib/python3.7/site-packages/acme/client.py", line 712, in poll_and_finalize
    orderr = self.poll_authorizations(orderr, deadline)
  File "/usr/lib/python3.7/site-packages/acme/client.py", line 736, in poll_authorizations
    raise errors.ValidationError(failed)
acme.errors.ValidationError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 1443, in persist_new_data
    order = finalize_order(client, order)
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 1397, in finalize_order
    raise Error('Challenge validation has failed, see error log.')
simp_le.Error: Challenge validation has failed, see error log.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 1565, in main
    return main_with_exceptions(cli_args)
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 1549, in main_with_exceptions
    persist_new_data(args, existing_data)
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 1464, in persist_new_data
    chain=None,
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 1128, in persist_data
    plugin.save(new_data)
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 557, in save
    key = self.dump_key(data.key)
  File "/usr/lib/python3.7/site-packages/simp_le.py", line 455, in dump_key
    return OpenSSL.crypto.dump_privatekey(self.typ, data.wrapped).strip()
AttributeError: 'NoneType' object has no attribute 'wrapped'

Unhandled error has happened, traceback is above

Debugging tips: -v improves output verbosity. Help is available under --help.
/app
Sleep for 3600s
Awatar użytkownika
lesny8
Posty: 1208
Rejestracja: pn gru 11, 2017 9:43 pm

czw sie 06, 2020 9:50 am

Masz przekierowany port 80 na RPi?
Masz zmienne IP?
Możesz wejść na swoją instancje Cloud z zewnątrz?
procekms89
Posty: 78
Rejestracja: czw cze 28, 2018 4:21 am

czw sie 06, 2020 12:26 pm

lesny8 pisze:
czw sie 06, 2020 9:50 am
Masz przekierowany port 80 na RPi?
Masz zmienne IP?
Możesz wejść na swoją instancje Cloud z zewnątrz?
tak mam zmienne IP, nie miałem przekierowanego portu 80, jak przekierowałem to zaczęło działać. Pytanie jak to mogło działać skoro nie miałem portu 80 od kiedy pamiętam?
Awatar użytkownika
lesny8
Posty: 1208
Rejestracja: pn gru 11, 2017 9:43 pm

czw sie 06, 2020 1:37 pm

Musiałeś mieć przekierowany port 80. Certyfikat jest ważny 3 miesiące. Chyba w ostatnim miesiącu kontener chce go odnowić i wysyła żądanie. W trakcie tych trzech miesięcy musiałeś robić coś z routerem. Reset do ustawień domyślnych, albo zmiana sprzętu? Na pewno coś 😏
Tak czy siak, ważne że bangla 😎
ODPOWIEDZ

Wróć do „Ogólna dyskusja”